Bug 849408 - Edit network allows creating non vm networks for 3.0 Data center
Edit network allows creating non vm networks for 3.0 Data center
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Alona Kaplan
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 05:35 EDT by Alona Kaplan
Modified: 2016-02-10 14:48 EST (History)
8 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alona Kaplan 2012-08-19 05:35:42 EDT
Description of problem:
If SupportBridgesReportByVDSM config value is false for the cuurent DC version the vm network checkbox on edit network dialog should be checked and disabled.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Change SupportBridgesReportByVDSM fir version 3.0 to false
2. Restart the jboss
3. Create a dc with version 3.0
4. Create a dc with version 3.1
5. add network to dc30
6. add network to dc dc31
7. open edit network for dc30net
8. open edit network for dc31net

  
Actual results:
7. vm network is enabled
8. vm network is enabled

Expected results:
7. vm network is checked and disabled
8. vm network is enabled


Additional info:
Comment 2 Alona Kaplan 2012-08-19 08:00:19 EDT
upstream commit 69da4597558f8ea3bef8bcda28745408e7566330
Comment 7 Alona Kaplan 2012-08-23 10:08:47 EDT
downstream commit 27e344722d5f79fe6e07bf4f47c057710084330d
Comment 8 GenadiC 2012-09-02 08:38:51 EDT
Verified in SI16

Note You need to log in before you can comment on or make changes to this bug.